summaryrefslogtreecommitdiff
path: root/debian/sync-httpd.postinst
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
committerChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
commit80fe273ef5d46e0d242017a5d1a04a5bd933c3d7 (patch)
tree2c2a0f5d512908ffbf11efb7a37e66f29eab669e /debian/sync-httpd.postinst
parent03bfa07732db97dfaa61b103e2cb30c08805d425 (diff)
downloadsync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.gz
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.bz2
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.zip
initial debian package
Diffstat (limited to 'debian/sync-httpd.postinst')
-rw-r--r--debian/sync-httpd.postinst48
1 files changed, 48 insertions, 0 deletions
diff --git a/debian/sync-httpd.postinst b/debian/sync-httpd.postinst
new file mode 100644
index 0000000..16acb35
--- /dev/null
+++ b/debian/sync-httpd.postinst
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+set -e
+
+TALER_HOME="/var/lib/taler/"
+_USERNAME=sync-httpd
+_GROUPNAME=www-data
+
+# Set permissions for sqlite3 file
+# (for when we support sqlite3 in the future)
+dbc_dbfile_owner="${_USERNAME}:${_GROUPNAME}"
+dbc_dbfile_perms="0600"
+
+. /usr/share/debconf/confmodule
+
+case "${1}" in
+configure)
+ # Creating taler users if needed
+ if ! getent passwd ${_USERNAME} >/dev/null; then
+ adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home ${TALER_HOME} ${_USERNAME}
+ fi
+
+ if ! dpkg-statoverride --list /etc/sync/secrets/sync-db.secret.conf >/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ sync-httpd root 460 \
+ /etc/sync/secrets/sync-db.secret.conf
+ fi
+
+ # Setup postgres database (needs dbconfig-pgsql package)
+ if [ -f /usr/share/dbconfig-common/dpkg/postinst.pgsql ]; then
+ . /usr/share/dbconfig-common/dpkg/postinst.pgsql
+ dbc_pgsql_createdb_encoding="UTF8"
+ dbc_go sync-httpd "$@"
+ fi
+
+ ;;
+
+abort-upgrade | abort-remove | abort-deconfigure) ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0